/*
				VGA.H
				modif. by GZ
*/

typedef struct {
		unsigned char red,green,blue;
		} p;


#define ESC 0x1B
#define VIDEO_INT 0x10
#define EGA_MODE  0x13
#define TEXT_MODE 0x3
#define VGA640400 0x5E
#define VGA320200 0x13
#define VGA800600 0x58
#define VGA640480 0x12
#define VGA640200 0x0E

#ifndef W
extern int W;
extern int RC;
extern int GC;
extern int BC;
extern int H;

extern int XSIZE,YSIZE;       /* number of pixels in x and y direction */
extern int MAX_COLOR,NUM_COLORS;   /* max color value and maxcolor value +1 */

extern int __current_mode__;
extern p palette[256];

#endif


/* proto types */

void vga_dot(int x, int y, int color);
void vga_mode(int mode);
void text_mode(void);
void set_vga_palette(p *palette);
void set_vga_pal(int index, int red, int green, int blue);
void rainbow_palette(void);

